## gtk2-engines-qtcurve 1.8.14

=== CMakeLists.txt ===
project(QtCurve-Gtk2)
cmake_minimum_required(VERSION 2.4.4)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Gtk2")
set(DEBIAN_PACKAGE_SECTION "gtk")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "8")
set(CPACK_PACKAGE_VERSION_PATCH "14")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
include(CPack)

include(UsePkgConfig)

set(GTK_MAJOR_VERSION "2")
pkgconfig(gtk+-${GTK_MAJOR_VERSION}.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)

if (GTK_INCLUDE_DIR)
    # Try to determine KDE3's icon prefix...
    find_program(KDE3CONFIG_EXECUTABLE NAMES kde-config
                 PATHS $ENV{KDEDIR}/bin /opt/kde3/bin /opt/kde/bin NO_DEFAULT_PATH)

    find_program(KDE3CONFIG_EXECUTABLE kde-config)

    if(KDE3CONFIG_EXECUTABLE)
        exec_program(${KDE3CONFIG_EXECUTABLE}
                    ARGS --expandvars --install icon
                    OUTPUT_VARIABLE KDE3_ICONS_PREFIX)
        exec_program(${KDE3CONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE KDE3PREFIX)
    endif(KDE3CONFIG_EXECUTABLE)

    # Try to determine KDE4's icon prefix...
    file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)

    find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config
                 PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin /usr/lib/kde4/bin NO_DEFAULT_PATH )

    if(NOT KDE4CONFIG_EXECUTABLE)
        find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config )
    endif(NOT KDE4CONFIG_EXECUTABLE)

    if(KDE4CONFIG_EXECUTABLE)
        exec_program(${KDE4CONFIG_EXECUTABLE}
                    ARGS --expandvars --install icon
                    OUTPUT_VARIABLE KDE4_ICONS_PREFIX)
        exec_program(${KDE4CONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE KDE4PREFIX)
    endif(KDE4CONFIG_EXECUTABLE)

    exec_program(${PKGCONFIG_EXECUTABLE}
                 ARGS --variable=gtk_binary_version gtk+-${GTK_MAJOR_VERSION}.0
                 OUTPUT_VARIABLE GTK_VERSION)
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        exec_program(${PKGCONFIG_EXECUTABLE}
                     ARGS --variable=prefix gtk+-${GTK_MAJOR_VERSION}.0
                     OUTPUT_VARIABLE GTK_PREFIX)
        set(CMAKE_INSTALL_PREFIX ${GTK_PREFIX})
    else(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        set(GTK_PREFIX ${CMAKE_INSTALL_PREFIX})
    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(GTK_THEME_DIR ${GTK_PREFIX}/share/themes/QtCurve)

    if(NOT KDE3PREFIX)
        if(KDE4PREFIX)
            set(KDE3PREFIX ${KDE4PREFIX})
        else(KDE4PREFIX)
            set(KDE3PREFIX /usr)
        endif(KDE4PREFIX)
    endif(NOT KDE3PREFIX)

    if(NOT KDE4PREFIX)
        if(KDE3PREFIX)
            set(KDE4PREFIX ${KDE3PREFIX})
        else(KDE3PREFIX)
            set(KDE4PREFIX /usr)
        endif(KDE3PREFIX)
    endif(NOT KDE4PREFIX)

    if(NOT KDE3_ICONS_PREFIX)
        if(KDE4_ICONS_PREFIX)
            set(KDE3_ICONS_PREFIX ${KDE4_ICONS_PREFIX})
        else(KDE4_ICONS_PREFIX)
            set(KDE3_ICONS_PREFIX ${KDE3PREFIX}/share/icons)
        endif(KDE4_ICONS_PREFIX)
    endif(NOT KDE3_ICONS_PREFIX)

    if(NOT KDE4_ICONS_PREFIX)
        if(KDE3_ICONS_PREFIX)
            set(KDE4_ICONS_PREFIX ${KDE3_ICONS_PREFIX})
        else(KDE3_ICONS_PREFIX)
            set(KDE4_ICONS_PREFIX ${KDE4PREFIX}/share/icons)
        endif(KDE3_ICONS_PREFIX)
    endif(NOT KDE4_ICONS_PREFIX)

    configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
    add_subdirectory(style)
    add_subdirectory(mozilla)
    message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")

    if(QTC_REORDER_GTK_DIALOG_BUTTONS)
        message("**************************************************************\n"
                "Warning: You have enabled the option for QtCurve to try to manually\n"
                "         re-order the buttons of Gtk dialogs. Note: This will cause\n"
                "         errors to be printed to the console, and is only an\n"
                "         experiment!\n"
                "**************************************************************\n")
    endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
    if(QTC_OLD_MOZILLA)
        message("**************************************************************\n"
                "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
                "**************************************************************\n")
    else(QTC_OLD_MOZILLA)
        message("**************************************************************\n"
                "Information: Defaulting to treating Firefox as Firefox >= 3.0\n"
                "**************************************************************\n")
    endif(QTC_OLD_MOZILLA)
    if(QTC_DEFAULT_TO_KDE3)
        message("**************************************************************\n"
                "Information: Defaulting to reading KDE3 settings if \n"
                "             KDE_SESSION_VERSION is not set\n"
                "**************************************************************\n")
    else(QTC_DEFAULT_TO_KDE3)
        message("**************************************************************\n"
                "Information: Defaulting to reading KDE4 settings if \n"
                "             KDE_SESSION_VERSION is not set\n"
                "**************************************************************\n")
    endif(QTC_DEFAULT_TO_KDE3)
    if(QTC_MODIFY_MOZILLA)
        message("**************************************************************\n"
                "**************************************************************\n"
                "Warning: You have enabled the option for QtCurve to modify the\n"
                "         configuration files of Mozilla applications (Firefox, \n"
                "         Thunderbird, Seamonkey). Note: This sometimes causes\n"
                "         issues with newer versions of these applications. Should\n"
                "         such issues occur, you should recompile QtCurve without\n"
                "         this option - and you will have to remove BY HAND the \n"
                "         changes that QtCurve has made. This will entail removing\n"
                "         lines from userChrom.css that indicate 'Added by QtCurve'\n"
                "         userChrome.css is usually in a folder such as:\n"
                "             ~/.mozilla/firefox/xxxxxxx.default/chrome/userChrome.css\n"
                "             ~/.thunderbird/xxxxxxx.default/chrome/userChrome.css\n"
                "         Where xxxxxxx is a series of random characters.\n"
                "**************************************************************\n"
                "**************************************************************\n")
    endif(QTC_MODIFY_MOZILLA)

    if(QTC_USE_CAIRO_FOR_ARROWS)
        message("**************************************************************\n"
                "Warning: Using ciaro to draw arrows - this has been reported to \n"
                "         fail with intel Xorg driver > 2.8\n"
                "**************************************************************\n")
    else(QTC_USE_CAIRO_FOR_ARROWS)
        message("**************************************************************\n"
                "Information: Using Gdk to draw arrows.\n"
                "**************************************************************\n")
    endif(QTC_USE_CAIRO_FOR_ARROWS)

    if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
        message("**************************************************************\n"
                "Warning: You have enabled support for the 'fix parentless dialogs'\n"
                "         option. This is known to BREAK some applications. Please\n"
                "         DO NOT report errors to application authors when you have\n"
                "         this enabled. Please reconsider DISABLING this option.\n"
                "**************************************************************\n")
    endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)

else (GTK_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate Gtk2 include files")
endif (GTK_INCLUDE_DIR)

=== debian/changelog ===
gtk2-engines-qtcurve (1.8.14-1) unstable; urgency=low

  * Update to stable release 1.8.14.
  * Bumped Standards-Version to 3.9.3.
  * URL in Format field was updated in debian/copyright.
  * Added string `DM-Upload-Allowed: yes' in debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 02 Mar 2012 23:32:36 +0200

=== debian/control ===
Source: gtk2-engines-qtcurve
Section: gnome
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: cmake,
               debhelper (>= 7.4.15),
               libcairo2-dev (>= 1.10),
               libgtk2.0-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/gtk2-engines-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/gtk2-engines-qtcurve-debian

Package: gtk2-engines-qtcurve
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-style-qtcurve
Description: This is a set of widget styles for Gtk2 based apps
 This package together with kde-style-qtcurve aim to provide a unified look
 and feel on the desktop when using KDE and GNOME applications.
 .
 This package is most useful when installed together with kde-style-qtcurve.

## gtk2-engines-qtcurve 1.8.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "14")
+set(CPACK_PACKAGE_VERSION_PATCH "15")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== debian/changelog ===
gtk2-engines-qtcurve (1.8.15-4) unstable; urgency=low

  * Add debian/patches/do-not-change-mozilla-css-settings:
    do not change files ~/.mozilla/firefox/*.default/chrome/userChrome.css
    (Closes: #590521)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 23 Nov 2012 00:10:24 +0200

gtk2-engines-qtcurve (1.8.15-3) unstable; urgency=low

  * Add debian/patches/fix-cairo-flush: fix memory leak.
  * Add "Multi-Arch: same" to package gtk2-engines-qtcurve. (LP: #974993)
  * Fix get-orig-source section in according with Debian Policy §4.9.
  * Build with -DQTC_MODIFY_MOZILLA=false:
    do not modify Iceweasel and/or Firefox settings. (Closes: #590521)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 29 Oct 2012 23:17:52 +0200

gtk2-engines-qtcurve (1.8.15-2) unstable; urgency=low

  * debian/rules was updated:
    - now uscan options are used instead of direct using of mv command
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 10 Jun 2012 17:15:32 +0300

gtk2-engines-qtcurve (1.8.15-1) unstable; urgency=low

  * Update to stable release 1.8.15.
  * Fixes from upstream: fixed tab activation (via mouse) when engine is
    configured to drag windows from all empty areas and either highlight
    is set to 0% or colored mouse over is set to none. (Closes: #641599)

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 25 Apr 2012 01:06:21 +0300

=== debian/control ===
Source: gtk2-engines-qtcurve
Section: gnome
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.4.15), cmake,
 libgtk2.0-dev, libcairo2-dev (>= 1.10)
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/gtk2-engines-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/gtk2-engines-qtcurve-debian
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: gtk2-engines-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Multi-Arch: same
Description: This is a set of widget styles for Gtk2 based apps
 This package together with kde-style-qtcurve aim to provide a unified look
 and feel on the desktop when using KDE and GNOME applications.
 .
 This package is most useful when installed together with kde-style-qtcurve.

## gtk2-engines-qtcurve 1.8.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "15")
+set(CPACK_PACKAGE_VERSION_PATCH "16")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== mozilla/CMakeLists.txt ===
configure_file(QtCurve.css.cmake ${CMAKE_BINARY_DIR}/QtCurve.css)
configure_file(QtCurve-KDEButtonOrder.css.cmake ${CMAKE_BINARY_DIR}/QtCurve-KDEButtonOrder.css)

install(FILES ${CMAKE_BINARY_DIR}/QtCurve.css ${CMAKE_BINARY_DIR}/QtCurve-KDEButtonOrder.css preferences-rev.xml
        DESTINATION ${GTK_THEME_DIR}/mozilla)

=== style/CMakeLists.txt ===
set(qtcurve_style_common_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/common.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/config_file.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/colorutils.c )
        
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS}")
set(qtcurve_SRCS qtcurve.c qt_settings.c drawing.c helpers.c pixcache.c animation.c combobox.c entry.c menu.c scrollbar.c scrolledwindow.c tab.c treeview.c widgetmap.c window.c wmmove.c shadowhelper.c ${qtcurve_style_common_SRCS})
add_library(qtcurve MODULE ${qtcurve_SRCS})
add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")

# The following fixes odd segfaults with evolution under Fedora 14.
# See https://bugzilla.redhat.com/show_bug.cgi?id=676837
add_definitions(-Dopts=qtcurve_gtk2_opts)

target_link_libraries(qtcurve ${GTK_LINK_FLAGS} -lm -lX11)

if (CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
   if (CMAKE_COMPILER_IS_GNUCXX)
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_MODULE_LINKER_FLAGS}")
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_MODULE_LINKER_FLAGS}")
   endif (CMAKE_COMPILER_IS_GNUCXX)
   if (CMAKE_C_COMPILER MATCHES "icc")
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_MODULE_LINKER_FLAGS}")
   endif (CMAKE_C_COMPILER MATCHES "icc")
endif (CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)

install(TARGETS qtcurve LIBRARY DESTINATION ${GTK_LIB_DIR}/gtk-${GTK_MAJOR_VERSION}.0/${GTK_VERSION}/engines )
install(FILES gtkrc icons3 icons4 map_kde_icons.pl kdeglobals
        DESTINATION ${GTK_THEME_DIR}/gtk-${GTK_MAJOR_VERSION}.0)

=== debian/changelog ===
gtk2-engines-qtcurve (1.8.16-2) unstable; urgency=low

  * Move package to unstable: no changes required.
  * Add debian/patches/workaround-for-bug-in-libglib-2.36.1:
    workaround for bug in libglib >= 2.36.1. (Closes: #707946)
  * Update years in debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 30 May 2013 00:41:37 +0300

gtk2-engines-qtcurve (1.8.16-1) experimental; urgency=low

  * Update to stable release 1.8.16.
  * Remove obsolete DM-Upload-Allowed flag.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.
  * Delete debian/patches/fix-cairo-flush: now available in upstream.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 21 Jan 2013 23:25:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Git: git://github.com/tehnick/gtk2-engines-qtcurve-debian.git
 Vcs-Browser: https://github.com/tehnick/gtk2-engines-qtcurve-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 
 Package: gtk2-engines-qtcurve
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=false

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=3 http://craigd.wikispaces.com/file/view/QtCurve-Gtk2-(.*).tar.bz2
